English
English
Appearance
English
English
Appearance
/public/account/pinterest/connect/{accountId}Reauthorize a previously connected Pinterest account, typically when its access has expired. The authorization code must come from the same Pinterest account, otherwise the request fails with incorrect generatedId to reconnect.
Authorization: Basic Base64(AccessKey:SecretKey))| Parameter | Type | Required | Description |
|---|---|---|---|
accountId | string | Yes | The unique ID of the account. |
| Field | Type | Required | Description |
|---|---|---|---|
code | string | Yes | Authorization code received from the OAuth redirect. |
curl -X POST "https://api.repliz.com/public/account/pinterest/connect/680affa5ce12f2f72916f67e" \
-H "Authorization: Basic $(echo -n 'YOUR_ACCESS_KEY:YOUR_SECRET_KEY' | base64)" \
-H "Content-Type: application/json" \
-d '{"code":"AUTH_CODE_FROM_REDIRECT"}'import axios from 'axios';
const accountId = '680affa5ce12f2f72916f67e';
const response = await axios.post(
`https://api.repliz.com/public/account/pinterest/connect/${accountId}`,
{
code: 'AUTH_CODE_FROM_REDIRECT',
},
{
auth: {
username: 'YOUR_ACCESS_KEY',
password: 'YOUR_SECRET_KEY',
},
},
);
console.log(response.data);const credentials = btoa('YOUR_ACCESS_KEY:YOUR_SECRET_KEY');
const accountId = '680affa5ce12f2f72916f67e';
const response = await fetch(
`https://api.repliz.com/public/account/pinterest/connect/${accountId}`,
{
method: 'POST',
headers: {
Authorization: `Basic ${credentials}`,
'Content-Type': 'application/json',
},
body: JSON.stringify({
code: 'AUTH_CODE_FROM_REDIRECT',
}),
},
);
const data = await response.json();
console.log(data);// No content returned on success{
"code": 400,
"message": "incorrect generatedId to reconnect"
}{
"code": 404,
"message": "account not found"
}{
"code": 401,
"message": "unauthorized"
}